summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-04-27 14:08:36 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-04-27 14:08:36 (EDT)
commit1e5280406b5e9e55e3665e1fb84bf4fc6c515481 (patch)
treed2f30b1b289469c87f27527299ee020c266a0d17
parent34efb3ce437b722999a137ddb03519f3027c810a (diff)
tests/*.sh: set -eu
-rwxr-xr-xtests/arch_is_concerned.sh2
-rwxr-xr-xtests/parse_control.sh2
-rwxr-xr-xtests/plat_is_concerned.sh2
-rwxr-xr-xtests/reduce_deps.sh2
-rwxr-xr-xtests/resolve_deps.basic.sh2
-rw-r--r--tests/substvars.sh2
6 files changed, 12 insertions, 0 deletions
diff --git a/tests/arch_is_concerned.sh b/tests/arch_is_concerned.sh
index 8398b42..095475a 100755
--- a/tests/arch_is_concerned.sh
+++ b/tests/arch_is_concerned.sh
@@ -18,6 +18,8 @@
# along with the ProteanOS Development Kit. If not, see
# <http://www.gnu.org/licenses/>.
+set -eu
+
main()
{
plan_ 24
diff --git a/tests/parse_control.sh b/tests/parse_control.sh
index caf0a29..7167fca 100755
--- a/tests/parse_control.sh
+++ b/tests/parse_control.sh
@@ -18,6 +18,8 @@
# along with the ProteanOS Development Kit. If not, see
# <http://www.gnu.org/licenses/>.
+set -eu
+
LF='
'
CONTROL="$(cat <<-'EOF'
diff --git a/tests/plat_is_concerned.sh b/tests/plat_is_concerned.sh
index bec0fa3..1b1df26 100755
--- a/tests/plat_is_concerned.sh
+++ b/tests/plat_is_concerned.sh
@@ -18,6 +18,8 @@
# along with the ProteanOS Development Kit. If not, see
# <http://www.gnu.org/licenses/>.
+set -eu
+
main()
{
plan_ 18
diff --git a/tests/reduce_deps.sh b/tests/reduce_deps.sh
index 41a4b58..53aa82d 100755
--- a/tests/reduce_deps.sh
+++ b/tests/reduce_deps.sh
@@ -18,6 +18,8 @@
# along with the ProteanOS Development Kit. If not, see
# <http://www.gnu.org/licenses/>.
+set -eu
+
main()
{
plan_ 13
diff --git a/tests/resolve_deps.basic.sh b/tests/resolve_deps.basic.sh
index 9281bb4..d2200c4 100755
--- a/tests/resolve_deps.basic.sh
+++ b/tests/resolve_deps.basic.sh
@@ -18,6 +18,8 @@
# along with the ProteanOS Development Kit. If not, see
# <http://www.gnu.org/licenses/>.
+set -eu
+
pkgs='foo bar'
deps="\
foo: baz
diff --git a/tests/substvars.sh b/tests/substvars.sh
index 12a061d..3701f0f 100644
--- a/tests/substvars.sh
+++ b/tests/substvars.sh
@@ -18,6 +18,8 @@
# along with the ProteanOS Development Kit. If not, see
# <http://www.gnu.org/licenses/>.
+set -eu
+
main()
{
plan_ 2